<html>
<head>
<title>Ogre::RotationalSpline Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RotationalSpline.html">RotationalSpline</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RotationalSpline Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RotationalSpline" -->
<p>This class interpolates orientations (rotations) along a spline using derivatives of quaternions.  
 <a href="classOgre_1_1RotationalSpline.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a>&gt;</code></p>

<p><a href="classOgre_1_1RotationalSpline-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#ac8596d691089c7be12d2879dc5595cea">RotationalSpline</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#ae7c15794bdabda0d02fb2ce52b3e1ea9">~RotationalSpline</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a5ba4e31b2ec1aec5c6c2878440184709">addPoint</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;p)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a control point to the end of the spline.  <a href="#a5ba4e31b2ec1aec5c6c2878440184709"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#ade94d1a8e67b3113d70bc22bd4801dae">getPoint</a> (unsigned short index) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the detail of one of the control points of the spline.  <a href="#ade94d1a8e67b3113d70bc22bd4801dae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#ae370943401af17c1642b36969b7bcb5c">getNumPoints</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the number of control points in the spline.  <a href="#ae370943401af17c1642b36969b7bcb5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#ad52da70d8d76c5c6d2203197e14b3520">clear</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears all the points in the spline.  <a href="#ad52da70d8d76c5c6d2203197e14b3520"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a8ee6d15c86ed31e61e04360d36f1fbf9">updatePoint</a> (unsigned short index, const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates a single point in the spline.  <a href="#a8ee6d15c86ed31e61e04360d36f1fbf9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a4fd498ecda341877bed16614f99513f3">interpolate</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t, bool useShortestPath=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an interpolated point based on a parametric value over the whole series.  <a href="#a4fd498ecda341877bed16614f99513f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a50e4fac029abebe1f318a80da015f544">interpolate</a> (unsigned int fromIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t, bool useShortestPath=true)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpolates a single segment of the spline given a parametric value.  <a href="#a50e4fac029abebe1f318a80da015f544"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a94645c3887ad1b0872bcea3897fae613">setAutoCalculate</a> (bool autoCalc)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the spline whether it should automatically calculate tangents on demand as points are added.  <a href="#a94645c3887ad1b0872bcea3897fae613"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a9eec1f4d7ee25b15d435e8c49c69c92a">recalcTangents</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Recalculates the tangents associated with this spline.  <a href="#a9eec1f4d7ee25b15d435e8c49c69c92a"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#afa8532df52d89e4e86d330139bdb79f6">mAutoCalc</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#a7e22feb0000cb5fc371cb5859bff6367">mPoints</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html#af57d703cf7f6cf4a43b6595e88b33c6c">mTangents</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class interpolates orientations (rotations) along a spline using derivatives of quaternions. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Like the <a class="el" href="classOgre_1_1SimpleSpline.html" title="A very simple spline class which implements the Catmull-Rom class of splines.">SimpleSpline</a> class, this class is about interpolating values smoothly over a spline. Whilst <a class="el" href="classOgre_1_1SimpleSpline.html" title="A very simple spline class which implements the Catmull-Rom class of splines.">SimpleSpline</a> deals with positions (the normal sense we think about splines), this class interpolates orientations. The theory is identical, except we're now in 4-dimensional space instead of 3. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>In positional splines, we use the points and tangents on those points to generate control points for the spline. In this case, we use quaternions and derivatives of the quaternions (i.e. the rate and direction of change at each point). This is the same as <a class="el" href="classOgre_1_1SimpleSpline.html" title="A very simple spline class which implements the Catmull-Rom class of splines.">SimpleSpline</a> since a tangent is a derivative of a position. We effectively generate an extra quaternion in between each actual quaternion which when take with the original quaternion forms the 'tangent' of that quaternion. </dd></dl>

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h_source.html#l00057">57</a> of file <a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac8596d691089c7be12d2879dc5595cea"></a><!-- doxytag: member="Ogre::RotationalSpline::RotationalSpline" ref="ac8596d691089c7be12d2879dc5595cea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RotationalSpline.html#ac8596d691089c7be12d2879dc5595cea">Ogre::RotationalSpline::RotationalSpline</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae7c15794bdabda0d02fb2ce52b3e1ea9"></a><!-- doxytag: member="Ogre::RotationalSpline::~RotationalSpline" ref="ae7c15794bdabda0d02fb2ce52b3e1ea9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RotationalSpline.html#ae7c15794bdabda0d02fb2ce52b3e1ea9">Ogre::RotationalSpline::~RotationalSpline</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5ba4e31b2ec1aec5c6c2878440184709"></a><!-- doxytag: member="Ogre::RotationalSpline::addPoint" ref="a5ba4e31b2ec1aec5c6c2878440184709" args="(const Quaternion &amp;p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RotationalSpline.html#a5ba4e31b2ec1aec5c6c2878440184709">Ogre::RotationalSpline::addPoint</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a control point to the end of the spline. </p>

</div>
</div>
<a class="anchor" id="ad52da70d8d76c5c6d2203197e14b3520"></a><!-- doxytag: member="Ogre::RotationalSpline::clear" ref="ad52da70d8d76c5c6d2203197e14b3520" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RotationalSpline.html#ad52da70d8d76c5c6d2203197e14b3520">Ogre::RotationalSpline::clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears all the points in the spline. </p>

</div>
</div>
<a class="anchor" id="ae370943401af17c1642b36969b7bcb5c"></a><!-- doxytag: member="Ogre::RotationalSpline::getNumPoints" ref="ae370943401af17c1642b36969b7bcb5c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1RotationalSpline.html#ae370943401af17c1642b36969b7bcb5c">Ogre::RotationalSpline::getNumPoints</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the number of control points in the spline. </p>

</div>
</div>
<a class="anchor" id="ade94d1a8e67b3113d70bc22bd4801dae"></a><!-- doxytag: member="Ogre::RotationalSpline::getPoint" ref="ade94d1a8e67b3113d70bc22bd4801dae" args="(unsigned short index) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; <a class="el" href="classOgre_1_1RotationalSpline.html#ade94d1a8e67b3113d70bc22bd4801dae">Ogre::RotationalSpline::getPoint</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the detail of one of the control points of the spline. </p>

</div>
</div>
<a class="anchor" id="a4fd498ecda341877bed16614f99513f3"></a><!-- doxytag: member="Ogre::RotationalSpline::interpolate" ref="a4fd498ecda341877bed16614f99513f3" args="(Real t, bool useShortestPath=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1RotationalSpline.html#a4fd498ecda341877bed16614f99513f3">Ogre::RotationalSpline::interpolate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useShortestPath</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns an interpolated point based on a parametric value over the whole series. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Given a t value between 0 and 1 representing the parametric distance along the whole length of the spline, this method returns an interpolated point. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Parametric value. </td></tr>
    <tr><td class="paramname">useShortestPath</td><td>Defines if rotation should take the shortest possible path </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a50e4fac029abebe1f318a80da015f544"></a><!-- doxytag: member="Ogre::RotationalSpline::interpolate" ref="a50e4fac029abebe1f318a80da015f544" args="(unsigned int fromIndex, Real t, bool useShortestPath=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1RotationalSpline.html#a4fd498ecda341877bed16614f99513f3">Ogre::RotationalSpline::interpolate</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>fromIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useShortestPath</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Interpolates a single segment of the spline given a parametric value. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">fromIndex</td><td>The point index to treat as t=0. fromIndex + 1 is deemed to be t=1 </td></tr>
    <tr><td class="paramname">t</td><td>Parametric value </td></tr>
    <tr><td class="paramname">useShortestPath</td><td>Defines if rotation should take the shortest possible path </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9eec1f4d7ee25b15d435e8c49c69c92a"></a><!-- doxytag: member="Ogre::RotationalSpline::recalcTangents" ref="a9eec1f4d7ee25b15d435e8c49c69c92a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RotationalSpline.html#a9eec1f4d7ee25b15d435e8c49c69c92a">Ogre::RotationalSpline::recalcTangents</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Recalculates the tangents associated with this spline. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If you tell the spline not to update on demand by calling setAutoCalculate(false) then you must call this after completing your updates to the spline points. </dd></dl>

</div>
</div>
<a class="anchor" id="a94645c3887ad1b0872bcea3897fae613"></a><!-- doxytag: member="Ogre::RotationalSpline::setAutoCalculate" ref="a94645c3887ad1b0872bcea3897fae613" args="(bool autoCalc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RotationalSpline.html#a94645c3887ad1b0872bcea3897fae613">Ogre::RotationalSpline::setAutoCalculate</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoCalc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the spline whether it should automatically calculate tangents on demand as points are added. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The spline calculates tangents at each point automatically based on the input points. Normally it does this every time a point changes. However, if you have a lot of points to add in one go, you probably don't want to incur this overhead and would prefer to defer the calculation until you are finished setting all the points. You can do this by calling this method with a parameter of 'false'. Just remember to manually call the recalcTangents method when you are done. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">autoCalc</td><td>If true, tangents are calculated for you whenever a point changes. If false, you must call reclacTangents to recalculate them when it best suits. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8ee6d15c86ed31e61e04360d36f1fbf9"></a><!-- doxytag: member="Ogre::RotationalSpline::updatePoint" ref="a8ee6d15c86ed31e61e04360d36f1fbf9" args="(unsigned short index, const Quaternion &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RotationalSpline.html#a8ee6d15c86ed31e61e04360d36f1fbf9">Ogre::RotationalSpline::updatePoint</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Updates a single point in the spline. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This point must already exist in the spline. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="afa8532df52d89e4e86d330139bdb79f6"></a><!-- doxytag: member="Ogre::RotationalSpline::mAutoCalc" ref="afa8532df52d89e4e86d330139bdb79f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RotationalSpline.html#afa8532df52d89e4e86d330139bdb79f6">Ogre::RotationalSpline::mAutoCalc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h_source.html#l00120">120</a> of file <a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7e22feb0000cb5fc371cb5859bff6367"></a><!-- doxytag: member="Ogre::RotationalSpline::mPoints" ref="a7e22feb0000cb5fc371cb5859bff6367" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&gt;::type <a class="el" href="classOgre_1_1RotationalSpline.html#a7e22feb0000cb5fc371cb5859bff6367">Ogre::RotationalSpline::mPoints</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h_source.html#l00124">124</a> of file <a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a>.</p>

</div>
</div>
<a class="anchor" id="af57d703cf7f6cf4a43b6595e88b33c6c"></a><!-- doxytag: member="Ogre::RotationalSpline::mTangents" ref="af57d703cf7f6cf4a43b6595e88b33c6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&gt;::type <a class="el" href="classOgre_1_1RotationalSpline.html#af57d703cf7f6cf4a43b6595e88b33c6c">Ogre::RotationalSpline::mTangents</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRotationalSpline_8h_source.html#l00125">125</a> of file <a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRotationalSpline_8h_source.html">OgreRotationalSpline.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
